# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeEllipse2d Class Reference

This class implements the mapping between classes
Ellipse from StepGeom which describes a Ellipse from
Prostep and Ellipse from Geom2d.
.

`#include <StepToGeom_MakeEllipse2d.hxx>`

Inheritance diagram for StepToGeom_MakeEllipse2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeEllipse2d (const Handle(StepGeom_Ellipse)&C)
Standard_EXPORT const Handle_Geom2d_Ellipse & | Value () const

## Private Attributes

Handle_Geom2d_Ellipse | theEllipse

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeEllipse2d::StepToGeom_MakeEllipse2d | ( | const Handle(StepGeom_Ellipse)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeEllipse2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeEllipse2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeEllipse2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_Ellipse& StepToGeom_MakeEllipse2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_Ellipse StepToGeom_MakeEllipse2d::theEllipse `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeEllipse2d.hxx